This is an old revision of the document!


Download PDK 3.1.0 for Unity 5

To get started developing for the Pillo game controller, download the latest stable build of the 'PDK' (Pillo Development Kit). The PDK should be compatible with Unity 4.5.x and up. However it's only been tested on Unity 5. Note: We can also only provide support when using the PDK in Unity 5.

Download current latest build 3.1.0 (July 1st 2016)


Content of the Pillo Development Kit

  • Windows API
  • Windows Driver (for Windows 8 and below)
  • Unity 5 package including the API, scripts, and example scenes.
  • 4 demos
  • Installation guide
  • Full API documentation

What's new

The following list includes a list of features of all that is new since the latest public release (3.0.2)

  • Backwards compatible.
  • New event based system. Enabling detection of connect, disconnect, press, hold, release and shake.
  • Merged events with the PilloController .
  • 4 demos added.
  • Cleaned up Unity3D project Final version 3.1.0

Older versions

Below you can find the stable public builds of the PDKs. These can be useful if you are developing for an older version of Pillo.